Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Interface SmartClassLoader

    public interface SmartClassLoader

Interface to be implemented by a reloading-aware ClassLoader (e.g. a Groovy-based ClassLoader). Detected for example by Spring's CGLIB proxy factory for making a caching decision.

If a ClassLoader does not implement this interface, then all of the classes obtained from it should be considered as not reloadable (i.e. cacheable).

Since:
  2.5.1
Author:
  Juergen Hoeller

Method Summary
`boolean` | `isClassReloadable(Class clazz)` Determine whether the given class is reloadable (in this ClassLoader).

Method Detail

### isClassReloadable

    boolean isClassReloadable(Class clazz)

  Determine whether the given class is reloadable (in this ClassLoader).

  Typically used to check whether the result may be cached (for this ClassLoader) or whether it should be reobtained every time.

  Parameters:
    `clazz` - the class to check (usually loaded from this ClassLoader)
  Returns:
    whether the class should be expected to appear in a reloaded version (with a different `Class` object) later on

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD